Subject: FW: Re: Stopping of Dial Tone

From: Tom-PT Taylor <[email-masked]>
Date: Fri, 28 Jan 2000 07:32:17 -0600

Resend -- first attempt got swallowed.

> -----Original Message-----
> From: Taylor, Tom-PT [CAR:B904:EXCH]
> Sent: Wednesday, January 26, 2000 12:46 PM
> To:   'Megaco'
> Subject:      Re: Stopping of Dial Tone
>
> The problem is real.  The question is what event detection mechanism to
> use to stop dial tone.  It doesn't matter whether we define a new start of
> dialling event or simply use the existing dd/* ("detect any DTMF digit"):
> there is a problem of potential interaction with the digit map.  The most
> straightforward solution is that the MGC has to ask that the first digit
> be reported, and only after that it can send down a digit map for
> everything else.  Alternatively we have to modify section 7.1.8 to make it
> clear that it is possible to request digit detection in parallel with
> digit mapping (i.e. dd/* in combination with dd/ce {...} means that
> individual digit events are detected, but the same digits are also
> processed by the digit map.
>
> Comments?
>
>
>                     From:         Madhu Babu <[email-masked]>
>                     Subject:      Stopping of Dial tone
>
>
>                     Hi all,
>
>                     According to the example in the Appendix A.1.2 when
> MGC request
>                     MG to apply dial tone and check for digit events it is
> specified
>                     as
>
>                     Events = 2223 {
>                     al/on, dd/ce {DigitMap=Dialplan0}
>                     }
>                     Signals {cg/dt},
>
>                     According to the protocol an signal is stopped
> Whenever any
>                     event occurs. and here the event requested by MGC is
> digitmap
>                     completion,that means dial tone will be stopped when
> we get
>                     all the digits (as implied by the name digitmap
> completion).
>                     What I suggest is that a new event like
> "firstdigitcompletion"
>                     should also  be specified, otherwise how can the first
> digit itself
>                     stops the dialtone.
>
>                     regards
>                     -Madhubabu
>
> Tom Taylor
> Advisor -- IPConnect Standards
> E-mail: [email-masked] (internally, Tom-PT Taylor)
> Phone and FAX: +1 613 736 0961
>

---

From: John Segers <[email-masked]>
Date: Mon, 31 Jan 2000 12:33:41 +0100

Tom,

Is it really a problem?  The way I always understood this, is that
detection of an event stops an active signal.  It doesn't matter how the
event is detected or reported.  So an event that leads to a partial
match in a digit map (the first digit) would stop dialtone.

Is my thinking flawed?

John

--
John Segers                                  email: [email-masked]
Lucent Technologies                                        Room HE 306
Dept. Forward Looking Work                      phone: +31 35 687 4724
P.O. Box 18, 1270 AA  Huizen                      fax: +31 35 687 5954